Subject: Re: [RESEND] Please consider name next Linux release "I love Linux" (Re: Linux 5.19)

From: Zhang Boyang <[email-masked]>
Date: Sun, 14 Aug 2022 01:17:19 +0800

On 2022/8/12 10:39, Baoquan He wrote:
> Hi Boyang,
> 
> On 08/11/22 at 10:02pm, Zhang Boyang wrote:
>> Hi,
>>
>> On 2022/8/1 05:43, Linus Torvalds wrote:
>>> (*) I'll likely call it 6.0 since I'm starting to worry about getting
>>> confused by big numbers again.
>>
>> Could you please consider name the next Linux release (5.20 or 6.0) "I love
>> linux" ? The number "5.20" is a wordplay in Chinese, which means "I love
>> you" [1], thus "Linux 5.20" can be read as "I love Linux" in Chinese.
>>
>> Even if next kernel version is 6.0, I think it's probably a good idea for
>> both Chinese-speakers and non-Chinese speakers to express our love to Linux
>> Kernel.
> 
> Interesting idea, LOL.
> 
> Yes, 520 means 'I love you' in chinese since it has the similar pronunciation
> with '我爱你'. I even don't remember since when May 20th becomes another
> holiday similar to Valentine's day in China. While I have complicated feeling
> about 520. It means on each May 20th, I also need prepare gift for my wife. I
> am not a romantic person, preparing gift to lover is always a torture to me.
> So almost each May 20th day, Valentine's day, double seventh festival which is
> a traditional Valentine's day, I will become nervous, and it ends up
> with a satisfactory gift, or a bunch of flower and a digital red envelope with
> 520￥ and then complainment and blame in next two weeks.
> 
> So, for naming next release as '5.20', I will vote for it w/o hesitance. No need
> to prepare gift, and can express our love to Linux kernel, it sounds
> awesome.
> 
> Meanwhile, I would remind people to take it easy. Whether the suggestion
> is accepted or not, it doesn't impact the fact that linux may have
> become part of our life, not just our work, considering many kernel developers
> are workoing form home. But if you have boasted to your girlfriend
> or wife, and want to take this as a gift to her, you should try harder to
> convince Linus.
> 

Yes, I think so. Linus may be too busy to respond, so let's take it easy 
and let him focus on his work. :)

> Thanks
> Baoquan
> 
>>
>> The name of Linux kernel release has a long history of play-on-words [2].
>> For example, 5.15 is named "Trick or Treat" and 5.17 is named "Superb Owl".
>>
>> [1] https://en.wikipedia.org/wiki/Chinese_Internet_slang
>>
>> [2] https://en.wikipedia.org/wiki/Linux_kernel_version_history
>>
>> Thanks and regards,
>> Zhang Boyang
>>
>